### Method

# GLib MatchInfo get_regex

since: 2.14

#### Declaration

    GRegex*
    g_match_info_get_regex (
      const GMatchInfo* match_info
    )

#### Description

Returns `GRegex` object used in `match_info`. It belongs to Glib and must not be freed. Use `g_regex_ref()` if you need to keep it after you free `match_info` object.

Available since: 2.14

#### Return value

Type: `GRegex`

`GRegex` object used in `match_info`.

The data is owned by the instance.